---
lang: en
title: 'API docs: core.islifecycleobserverclass'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.islifecycleobserverclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [isLifeCycleObserverClass](./core.islifecycleobserverclass.md)

## isLifeCycleObserverClass() function

Test if a class implements LifeCycleObserver

**Signature:**

```typescript
export declare function isLifeCycleObserverClass(ctor: Constructor<unknown>): ctor is Constructor<LifeCycleObserver>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ctor


</td><td>

[Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt;


</td><td>

A class


</td></tr>
</tbody></table>
**Returns:**

ctor is [Constructor](./context.constructor.md)<!-- -->&lt;[LifeCycleObserver](./core.lifecycleobserver.md)<!-- -->&gt;


